net.sf.jasperreports.charts.design

## Class JRDesignHighLowDataset

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementDataset
  - - net.sf.jasperreports.engine.design.JRDesignElementDataset
    - - net.sf.jasperreports.engine.design.JRDesignChartDataset
      - - net.sf.jasperreports.charts.design.JRDesignHighLowDataset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRHighLowDataset, JRChangeEventsSupport, JRChartDataset, JRCloneable, JRElementDataset

      public class JRDesignHighLowDataset
      extends JRDesignChartDataset
      implements JRHighLowDataset

  Version:
    $Id: JRDesignHighLowDataset.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Ionut Nedelcu (ionutned@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `closeExpression`
    `protected JRExpression` | `dateExpression`
    `protected JRExpression` | `highExpression`
    `protected JRExpression` | `lowExpression`
    `protected JRExpression` | `openExpression`
    `static java.lang.String` | `PROPERTY_CLOSE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_DATE_EXPRESSION`
    `static java.lang.String` | `PROPERTY_HIGH_EXPRESSION`
    `static java.lang.String` | `PROPERTY_ITEM_HYPERLINK`
    `static java.lang.String` | `PROPERTY_LOW_EXPRESSION`
    `static java.lang.String` | `PROPERTY_OPEN_EXPRESSION`
    `static java.lang.String` | `PROPERTY_SERIES_EXPRESSION`
    `static java.lang.String` | `PROPERTY_VOLUME_EXPRESSION`
    `protected JRExpression` | `seriesExpression`
    `protected JRExpression` | `volumeExpression`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset

      `PROPERTY_DATASET_RUN, PROPERTY_INCREMENT_GROUP, PROPERTY_INCREMENT_TYPE, PROPERTY_INCREMENT_WHEN_EXPRESSION, PROPERTY_RESET_GROUP, PROPERTY_RESET_TYPE`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignHighLowDataset(JRChartDataset dataset)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `JRExpression` | `getCloseExpression()`
    `byte` | `getDatasetType()` Gets the dataset type.
    `JRExpression` | `getDateExpression()`
    `JRExpression` | `getHighExpression()`
    `JRHyperlink` | `getItemHyperlink()` Returns the hyperlink specification for chart items.
    `JRExpression` | `getLowExpression()`
    `JRExpression` | `getOpenExpression()`
    `JRExpression` | `getSeriesExpression()`
    `JRExpression` | `getVolumeExpression()`
    `void` | `setCloseExpression(JRExpression closeExpression)`
    `void` | `setDateExpression(JRExpression dateExpression)`
    `void` | `setHighExpression(JRExpression highExpression)`
    `void` | `setItemHyperlink(JRHyperlink itemHyperlink)` Sets the hyperlink specification for chart items.
    `void` | `setLowExpression(JRExpression lowExpression)`
    `void` | `setOpenExpression(JRExpression openExpression)`
    `void` | `setSeriesExpression(JRExpression seriesExpression)`
    `void` | `setVolumeExpression(JRExpression volumeExpression)`
    `void` | `validate(JRVerifier verifier)` Validates the dataset using a verifier.

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElementDataset

      `getEventSupport, setDatasetRun, setIncrementGroup, setIncrementType, setIncrementWhenExpression, setResetGroup, setResetType`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

- - ### Field Detail

    - #### PROPERTY_CLOSE_EXPRESSION

          public static final java.lang.String PROPERTY_CLOSE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_DATE_EXPRESSION

          public static final java.lang.String PROPERTY_DATE_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_HIGH_EXPRESSION

          public static final java.lang.String PROPERTY_HIGH_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_ITEM_HYPERLINK

          public static final java.lang.String PROPERTY_ITEM_HYPERLINK

      See Also:
        Constant Field Values

    - #### PROPERTY_LOW_EXPRESSION

          public static final java.lang.String PROPERTY_LOW_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_OPEN_EXPRESSION

          public static final java.lang.String PROPERTY_OPEN_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_SERIES_EXPRESSION

          public static final java.lang.String PROPERTY_SERIES_EXPRESSION

      See Also:
        Constant Field Values

    - #### PROPERTY_VOLUME_EXPRESSION

          public static final java.lang.String PROPERTY_VOLUME_EXPRESSION

      See Also:
        Constant Field Values

    - #### seriesExpression

          protected JRExpression seriesExpression

    - #### dateExpression

          protected JRExpression dateExpression

    - #### highExpression

          protected JRExpression highExpression

    - #### lowExpression

          protected JRExpression lowExpression

    - #### openExpression

          protected JRExpression openExpression

    - #### closeExpression

          protected JRExpression closeExpression

    - #### volumeExpression

          protected JRExpression volumeExpression

  - ### Constructor Detail

    - #### JRDesignHighLowDataset

          public JRDesignHighLowDataset(JRChartDataset dataset)

  - ### Method Detail

    - #### getSeriesExpression

          public JRExpression getSeriesExpression()

      Specified by:
        `getSeriesExpression` in interface `JRHighLowDataset`
      Returns:
        the expression of the series name. Currently only one series is supported inside a High-Low or Candlestick chart. This limitation is documented inside JFreeChart, the library used for the built-in chart support. However, this single series must be identified by a `java.lang.Comparable` value returned by this expression, and it must also be used as the series name in the chart's legend.

    - #### setSeriesExpression

          public void setSeriesExpression(JRExpression seriesExpression)

    - #### getDateExpression

          public JRExpression getDateExpression()

      Specified by:
        `getDateExpression` in interface `JRHighLowDataset`
      Returns:
        the expression of the date to which the current (high, low, open, close, volume) item refers.

    - #### setDateExpression

          public void setDateExpression(JRExpression dateExpression)

    - #### getHighExpression

          public JRExpression getHighExpression()

      Specified by:
        `getHighExpression` in interface `JRHighLowDataset`
      Returns:
        a numeric expression that will be part of the data item added to the series when the dataset gets incremented.

    - #### setHighExpression

          public void setHighExpression(JRExpression highExpression)

    - #### getLowExpression

          public JRExpression getLowExpression()

      Specified by:
        `getLowExpression` in interface `JRHighLowDataset`
      Returns:
        a numeric expression that will be part of the data item added to the series when the dataset gets incremented.

    - #### setLowExpression

          public void setLowExpression(JRExpression lowExpression)

    - #### getOpenExpression

          public JRExpression getOpenExpression()

      Specified by:
        `getOpenExpression` in interface `JRHighLowDataset`
      Returns:
        a numeric expression that will be part of the data item added to the series when the dataset gets incremented.

    - #### setOpenExpression

          public void setOpenExpression(JRExpression openExpression)

    - #### getCloseExpression

          public JRExpression getCloseExpression()

      Specified by:
        `getCloseExpression` in interface `JRHighLowDataset`
      Returns:
        a numeric expression that will be part of the data item added to the series when the dataset gets incremented.

    - #### setCloseExpression

          public void setCloseExpression(JRExpression closeExpression)

    - #### getVolumeExpression

          public JRExpression getVolumeExpression()

      Specified by:
        `getVolumeExpression` in interface `JRHighLowDataset`
      Returns:
        a numeric expression representing the volume value to use for the current data item. It is used only for Candlestick charts.

    - #### setVolumeExpression

          public void setVolumeExpression(JRExpression volumeExpression)

    - #### getDatasetType

          public byte getDatasetType()

      Description copied from interface: `JRChartDataset`
      Gets the dataset type. Must be one of the dataset type constants defined in this class.
      Specified by:
        `getDatasetType` in interface `JRChartDataset`
      Overrides:
        `getDatasetType` in class `JRDesignChartDataset`

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElementDataset`
      Overrides:
        `collectExpressions` in class `JRBaseElementDataset`

    - #### getItemHyperlink

          public JRHyperlink getItemHyperlink()

      Description copied from interface: `JRHighLowDataset`
      Returns the hyperlink specification for chart items.

      The hyperlink will be evaluated for every chart item and a image map will be created for the chart.

      Specified by:
        `getItemHyperlink` in interface `JRHighLowDataset`
      Returns:
        hyperlink specification for chart items

    - #### setItemHyperlink

          public void setItemHyperlink(JRHyperlink itemHyperlink)

      Sets the hyperlink specification for chart items.
      Parameters:
        `itemHyperlink` - the hyperlink specification
      See Also:
        `getItemHyperlink()`

    - #### validate

          public void validate(JRVerifier verifier)

      Description copied from interface: `JRChartDataset`
      Validates the dataset using a verifier.

      Broken rules are collected by the verifier.

      Specified by:
        `validate` in interface `JRChartDataset`
      Parameters:
        `verifier` - the verifier to use for validation

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRDesignElementDataset`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com